<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eicd: src/TrackState.cc Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eicd
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">TrackState.cc</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_track_state_8cc.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">// AUTOMATICALLY GENERATED FILE - DO NOT EDIT</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;</div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">// datamodel specific includes</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_track_state_8h.html">eicd/TrackState.h</a>&quot;</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_track_state_const_8h.html">eicd/TrackStateConst.h</a>&quot;</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_track_state_obj_8h.html">eicd/TrackStateObj.h</a>&quot;</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_track_state_data_8h.html">eicd/TrackStateData.h</a>&quot;</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_track_state_collection_8h.html">eicd/TrackStateCollection.h</a>&quot;</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;</div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;</div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="preprocessor">#include &lt;ostream&gt;</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;</div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceeic.html">eic</a> {</div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;</div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div><div class="line"><a name="l00016"></a><span class="lineno"><a class="line" href="classeic_1_1_track_state.html#ac9581fe51d3584111722093ace8aeca8">   16</a></span>&#160;<a class="code" href="classeic_1_1_track_state.html#ac9581fe51d3584111722093ace8aeca8">TrackState::TrackState</a>() : m_obj(new <a class="code" href="classeic_1_1_track_state_obj.html">TrackStateObj</a>()) {</div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;  m_obj-&gt;acquire();</div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;}</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;</div><div class="line"><a name="l00020"></a><span class="lineno"><a class="line" href="classeic_1_1_track_state.html#a253379a3a95f6981306e092da0e42153">   20</a></span>&#160;<a class="code" href="classeic_1_1_track_state.html#ac9581fe51d3584111722093ace8aeca8">TrackState::TrackState</a>(<span class="keywordtype">int</span> <a class="code" href="classeic_1_1_track_state.html#a4ff86c39fee562a817d51787bc33476d">location</a>, <span class="keywordtype">float</span> <a class="code" href="classeic_1_1_track_state.html#a8c3a4fb0b56f4c00ee401373fa5c23b0">d0</a>, <span class="keywordtype">float</span> <a class="code" href="classeic_1_1_track_state.html#a9b47d98f550c7ecbc6501896bf684ea4">phi</a>, <span class="keywordtype">float</span> <a class="code" href="classeic_1_1_track_state.html#a4a2311194941e316ee35d0b44e626a4e">omega</a>, <span class="keywordtype">float</span> <a class="code" href="classeic_1_1_track_state.html#aad57c3208b5c7de36b78a35dbaa6312f">z0</a>, <span class="keywordtype">float</span> <a class="code" href="classeic_1_1_track_state.html#ad610068523aea291bddbecffa78e2e66">tanLambda</a>, std::array&lt;float, 3&gt; <a class="code" href="classeic_1_1_track_state.html#adf9411484d0a9acc55d129d66583df44">referencePoint</a>) : m_obj(new <a class="code" href="classeic_1_1_track_state_obj.html">TrackStateObj</a>()) {</div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;  m_obj-&gt;acquire();</div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;  m_obj-&gt;<a class="code" href="classeic_1_1_track_state_obj.html#a28fc1f1450a4cf1fd106d86e3b1ff540">data</a>.<a class="code" href="classeic_1_1_track_state_data.html#a2044a34486e38724b5a95e6edb472967">location</a> = <a class="code" href="classeic_1_1_track_state.html#a4ff86c39fee562a817d51787bc33476d">location</a>;</div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;  m_obj-&gt;<a class="code" href="classeic_1_1_track_state_obj.html#a28fc1f1450a4cf1fd106d86e3b1ff540">data</a>.<a class="code" href="classeic_1_1_track_state_data.html#ab6188d17e65916c7f01bb56648f863cf">d0</a> = <a class="code" href="classeic_1_1_track_state.html#a8c3a4fb0b56f4c00ee401373fa5c23b0">d0</a>;</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;  m_obj-&gt;<a class="code" href="classeic_1_1_track_state_obj.html#a28fc1f1450a4cf1fd106d86e3b1ff540">data</a>.<a class="code" href="classeic_1_1_track_state_data.html#a1fc4f68304748e87167b6e54a60a0eb2">phi</a> = <a class="code" href="classeic_1_1_track_state.html#a9b47d98f550c7ecbc6501896bf684ea4">phi</a>;</div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;  m_obj-&gt;<a class="code" href="classeic_1_1_track_state_obj.html#a28fc1f1450a4cf1fd106d86e3b1ff540">data</a>.<a class="code" href="classeic_1_1_track_state_data.html#a6a2de5a63e5aa2f0d5d60f2182271f39">omega</a> = <a class="code" href="classeic_1_1_track_state.html#a4a2311194941e316ee35d0b44e626a4e">omega</a>;</div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;  m_obj-&gt;<a class="code" href="classeic_1_1_track_state_obj.html#a28fc1f1450a4cf1fd106d86e3b1ff540">data</a>.<a class="code" href="classeic_1_1_track_state_data.html#a31d6fae15509d30728ae39f637bac0ee">z0</a> = <a class="code" href="classeic_1_1_track_state.html#aad57c3208b5c7de36b78a35dbaa6312f">z0</a>;</div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;  m_obj-&gt;<a class="code" href="classeic_1_1_track_state_obj.html#a28fc1f1450a4cf1fd106d86e3b1ff540">data</a>.<a class="code" href="classeic_1_1_track_state_data.html#a03739d2c99c5c5aa2c52f70fe40485c2">tanLambda</a> = <a class="code" href="classeic_1_1_track_state.html#ad610068523aea291bddbecffa78e2e66">tanLambda</a>;</div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;  m_obj-&gt;<a class="code" href="classeic_1_1_track_state_obj.html#a28fc1f1450a4cf1fd106d86e3b1ff540">data</a>.<a class="code" href="classeic_1_1_track_state_data.html#a1935a4a9ae2fa587d26e449925624e91">referencePoint</a> = <a class="code" href="classeic_1_1_track_state.html#adf9411484d0a9acc55d129d66583df44">referencePoint</a>;</div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;}</div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;</div><div class="line"><a name="l00031"></a><span class="lineno"><a class="line" href="classeic_1_1_track_state.html#a58cb3c5d4854fff9813ad3438a48bb72">   31</a></span>&#160;<a class="code" href="classeic_1_1_track_state.html#ac9581fe51d3584111722093ace8aeca8">TrackState::TrackState</a>(<span class="keyword">const</span> <a class="code" href="classeic_1_1_track_state.html">TrackState</a>&amp; other) : m_obj(other.m_obj) {</div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;  m_obj-&gt;acquire();</div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;}</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;</div><div class="line"><a name="l00035"></a><span class="lineno"><a class="line" href="classeic_1_1_track_state.html#a54a8958d63d07422cce74a09441840c2">   35</a></span>&#160;<a class="code" href="classeic_1_1_track_state.html">TrackState</a>&amp; <a class="code" href="classeic_1_1_track_state.html#a54a8958d63d07422cce74a09441840c2">TrackState::operator=</a>(<span class="keyword">const</span> <a class="code" href="classeic_1_1_track_state.html">TrackState</a>&amp; other) {</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;  <span class="keywordflow">if</span> (m_obj) m_obj-&gt;release();</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;  m_obj = other.m_obj;</div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;  <span class="keywordflow">return</span> *<span class="keyword">this</span>;</div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;}</div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;</div><div class="line"><a name="l00041"></a><span class="lineno"><a class="line" href="classeic_1_1_track_state.html#a4993ae4c9bd4947c3e8b8a7945d49fea">   41</a></span>&#160;<a class="code" href="classeic_1_1_track_state.html#ac9581fe51d3584111722093ace8aeca8">TrackState::TrackState</a>( <a class="code" href="classeic_1_1_track_state_obj.html">TrackStateObj</a>* obj) : m_obj(obj) {</div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;  <span class="keywordflow">if</span> (m_obj) m_obj-&gt;acquire();</div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;}</div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;</div><div class="line"><a name="l00045"></a><span class="lineno"><a class="line" href="classeic_1_1_track_state.html#a41f8551da1d5b5b369a8c19ea9c6550f">   45</a></span>&#160;<a class="code" href="classeic_1_1_track_state.html">TrackState</a> <a class="code" href="classeic_1_1_track_state.html#a41f8551da1d5b5b369a8c19ea9c6550f">TrackState::clone</a>()<span class="keyword"> const </span>{</div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;  <span class="keywordflow">return</span> {<span class="keyword">new</span> <a class="code" href="classeic_1_1_track_state_obj.html">TrackStateObj</a>(*m_obj)};</div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;}</div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;</div><div class="line"><a name="l00049"></a><span class="lineno"><a class="line" href="classeic_1_1_track_state.html#a5063f4f3ed0e8e087d7d9a3880d4fe18">   49</a></span>&#160;<a class="code" href="classeic_1_1_track_state.html#a5063f4f3ed0e8e087d7d9a3880d4fe18">TrackState::~TrackState</a>() {</div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;  <span class="keywordflow">if</span> (m_obj) m_obj-&gt;release();</div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;}</div><div class="line"><a name="l00052"></a><span class="lineno"><a class="line" href="classeic_1_1_track_state.html#a2dfee88c179d962ce2c2b9a9f76902f6">   52</a></span>&#160;TrackState::operator <a class="code" href="classeic_1_1_const_track_state.html">ConstTrackState</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> <a class="code" href="classeic_1_1_const_track_state.html">ConstTrackState</a>(m_obj); }</div><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;</div><div class="line"><a name="l00054"></a><span class="lineno"><a class="line" href="classeic_1_1_track_state.html#a4ff86c39fee562a817d51787bc33476d">   54</a></span>&#160;<span class="keyword">const</span> <span class="keywordtype">int</span>&amp; <a class="code" href="classeic_1_1_track_state.html#a4ff86c39fee562a817d51787bc33476d">TrackState::location</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> m_obj-&gt;<a class="code" href="classeic_1_1_track_state_obj.html#a28fc1f1450a4cf1fd106d86e3b1ff540">data</a>.<a class="code" href="classeic_1_1_track_state_data.html#a2044a34486e38724b5a95e6edb472967">location</a>; }</div><div class="line"><a name="l00055"></a><span class="lineno"><a class="line" href="classeic_1_1_track_state.html#a8c3a4fb0b56f4c00ee401373fa5c23b0">   55</a></span>&#160;<span class="keyword">const</span> <span class="keywordtype">float</span>&amp; <a class="code" href="classeic_1_1_track_state.html#a8c3a4fb0b56f4c00ee401373fa5c23b0">TrackState::d0</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> m_obj-&gt;<a class="code" href="classeic_1_1_track_state_obj.html#a28fc1f1450a4cf1fd106d86e3b1ff540">data</a>.<a class="code" href="classeic_1_1_track_state_data.html#ab6188d17e65916c7f01bb56648f863cf">d0</a>; }</div><div class="line"><a name="l00056"></a><span class="lineno"><a class="line" href="classeic_1_1_track_state.html#a9b47d98f550c7ecbc6501896bf684ea4">   56</a></span>&#160;<span class="keyword">const</span> <span class="keywordtype">float</span>&amp; <a class="code" href="classeic_1_1_track_state.html#a9b47d98f550c7ecbc6501896bf684ea4">TrackState::phi</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> m_obj-&gt;<a class="code" href="classeic_1_1_track_state_obj.html#a28fc1f1450a4cf1fd106d86e3b1ff540">data</a>.<a class="code" href="classeic_1_1_track_state_data.html#a1fc4f68304748e87167b6e54a60a0eb2">phi</a>; }</div><div class="line"><a name="l00057"></a><span class="lineno"><a class="line" href="classeic_1_1_track_state.html#a4a2311194941e316ee35d0b44e626a4e">   57</a></span>&#160;<span class="keyword">const</span> <span class="keywordtype">float</span>&amp; <a class="code" href="classeic_1_1_track_state.html#a4a2311194941e316ee35d0b44e626a4e">TrackState::omega</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> m_obj-&gt;<a class="code" href="classeic_1_1_track_state_obj.html#a28fc1f1450a4cf1fd106d86e3b1ff540">data</a>.<a class="code" href="classeic_1_1_track_state_data.html#a6a2de5a63e5aa2f0d5d60f2182271f39">omega</a>; }</div><div class="line"><a name="l00058"></a><span class="lineno"><a class="line" href="classeic_1_1_track_state.html#aad57c3208b5c7de36b78a35dbaa6312f">   58</a></span>&#160;<span class="keyword">const</span> <span class="keywordtype">float</span>&amp; <a class="code" href="classeic_1_1_track_state.html#aad57c3208b5c7de36b78a35dbaa6312f">TrackState::z0</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> m_obj-&gt;<a class="code" href="classeic_1_1_track_state_obj.html#a28fc1f1450a4cf1fd106d86e3b1ff540">data</a>.<a class="code" href="classeic_1_1_track_state_data.html#a31d6fae15509d30728ae39f637bac0ee">z0</a>; }</div><div class="line"><a name="l00059"></a><span class="lineno"><a class="line" href="classeic_1_1_track_state.html#ad610068523aea291bddbecffa78e2e66">   59</a></span>&#160;<span class="keyword">const</span> <span class="keywordtype">float</span>&amp; <a class="code" href="classeic_1_1_track_state.html#ad610068523aea291bddbecffa78e2e66">TrackState::tanLambda</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> m_obj-&gt;<a class="code" href="classeic_1_1_track_state_obj.html#a28fc1f1450a4cf1fd106d86e3b1ff540">data</a>.<a class="code" href="classeic_1_1_track_state_data.html#a03739d2c99c5c5aa2c52f70fe40485c2">tanLambda</a>; }</div><div class="line"><a name="l00060"></a><span class="lineno"><a class="line" href="classeic_1_1_track_state.html#adf9411484d0a9acc55d129d66583df44">   60</a></span>&#160;<span class="keyword">const</span> std::array&lt;float, 3&gt;&amp; <a class="code" href="classeic_1_1_track_state.html#adf9411484d0a9acc55d129d66583df44">TrackState::referencePoint</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> m_obj-&gt;<a class="code" href="classeic_1_1_track_state_obj.html#a28fc1f1450a4cf1fd106d86e3b1ff540">data</a>.<a class="code" href="classeic_1_1_track_state_data.html#a1935a4a9ae2fa587d26e449925624e91">referencePoint</a>; }</div><div class="line"><a name="l00061"></a><span class="lineno"><a class="line" href="classeic_1_1_track_state.html#a79e425dd1369c1799e65302966ecb1be">   61</a></span>&#160;<span class="keyword">const</span> <span class="keywordtype">float</span>&amp; <a class="code" href="classeic_1_1_track_state.html#adf9411484d0a9acc55d129d66583df44">TrackState::referencePoint</a>(<span class="keywordtype">size_t</span> i)<span class="keyword"> const </span>{ <span class="keywordflow">return</span> m_obj-&gt;<a class="code" href="classeic_1_1_track_state_obj.html#a28fc1f1450a4cf1fd106d86e3b1ff540">data</a>.<a class="code" href="classeic_1_1_track_state_data.html#a1935a4a9ae2fa587d26e449925624e91">referencePoint</a>.at(i); }</div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;</div><div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;</div><div class="line"><a name="l00064"></a><span class="lineno"><a class="line" href="classeic_1_1_track_state.html#aa315e7d0aee8a0cde6e0dc970a4520e8">   64</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="classeic_1_1_track_state.html#a4ff86c39fee562a817d51787bc33476d">TrackState::location</a>(<span class="keywordtype">int</span> value) { m_obj-&gt;<a class="code" href="classeic_1_1_track_state_obj.html#a28fc1f1450a4cf1fd106d86e3b1ff540">data</a>.<a class="code" href="classeic_1_1_track_state_data.html#a2044a34486e38724b5a95e6edb472967">location</a> = value; }</div><div class="line"><a name="l00065"></a><span class="lineno"><a class="line" href="classeic_1_1_track_state.html#a3d2dbdf97dd989ccc7f2bbf54942b260">   65</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="classeic_1_1_track_state.html#a8c3a4fb0b56f4c00ee401373fa5c23b0">TrackState::d0</a>(<span class="keywordtype">float</span> value) { m_obj-&gt;<a class="code" href="classeic_1_1_track_state_obj.html#a28fc1f1450a4cf1fd106d86e3b1ff540">data</a>.<a class="code" href="classeic_1_1_track_state_data.html#ab6188d17e65916c7f01bb56648f863cf">d0</a> = value; }</div><div class="line"><a name="l00066"></a><span class="lineno"><a class="line" href="classeic_1_1_track_state.html#aa03627165685946e8e5c58766ab81485">   66</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="classeic_1_1_track_state.html#a9b47d98f550c7ecbc6501896bf684ea4">TrackState::phi</a>(<span class="keywordtype">float</span> value) { m_obj-&gt;<a class="code" href="classeic_1_1_track_state_obj.html#a28fc1f1450a4cf1fd106d86e3b1ff540">data</a>.<a class="code" href="classeic_1_1_track_state_data.html#a1fc4f68304748e87167b6e54a60a0eb2">phi</a> = value; }</div><div class="line"><a name="l00067"></a><span class="lineno"><a class="line" href="classeic_1_1_track_state.html#ad401db4c65ce483e23fdf73ba8622026">   67</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="classeic_1_1_track_state.html#a4a2311194941e316ee35d0b44e626a4e">TrackState::omega</a>(<span class="keywordtype">float</span> value) { m_obj-&gt;<a class="code" href="classeic_1_1_track_state_obj.html#a28fc1f1450a4cf1fd106d86e3b1ff540">data</a>.<a class="code" href="classeic_1_1_track_state_data.html#a6a2de5a63e5aa2f0d5d60f2182271f39">omega</a> = value; }</div><div class="line"><a name="l00068"></a><span class="lineno"><a class="line" href="classeic_1_1_track_state.html#a978e4e161dac66ad65df696fed08f261">   68</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="classeic_1_1_track_state.html#aad57c3208b5c7de36b78a35dbaa6312f">TrackState::z0</a>(<span class="keywordtype">float</span> value) { m_obj-&gt;<a class="code" href="classeic_1_1_track_state_obj.html#a28fc1f1450a4cf1fd106d86e3b1ff540">data</a>.<a class="code" href="classeic_1_1_track_state_data.html#a31d6fae15509d30728ae39f637bac0ee">z0</a> = value; }</div><div class="line"><a name="l00069"></a><span class="lineno"><a class="line" href="classeic_1_1_track_state.html#a9927082b80c67520d2d0ca6fb02ae1e1">   69</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="classeic_1_1_track_state.html#ad610068523aea291bddbecffa78e2e66">TrackState::tanLambda</a>(<span class="keywordtype">float</span> value) { m_obj-&gt;<a class="code" href="classeic_1_1_track_state_obj.html#a28fc1f1450a4cf1fd106d86e3b1ff540">data</a>.<a class="code" href="classeic_1_1_track_state_data.html#a03739d2c99c5c5aa2c52f70fe40485c2">tanLambda</a> = value; }</div><div class="line"><a name="l00070"></a><span class="lineno"><a class="line" href="classeic_1_1_track_state.html#a537c11d03265091dd3a4267ab8924c23">   70</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="classeic_1_1_track_state.html#adf9411484d0a9acc55d129d66583df44">TrackState::referencePoint</a>(std::array&lt;float, 3&gt; value) { m_obj-&gt;<a class="code" href="classeic_1_1_track_state_obj.html#a28fc1f1450a4cf1fd106d86e3b1ff540">data</a>.<a class="code" href="classeic_1_1_track_state_data.html#a1935a4a9ae2fa587d26e449925624e91">referencePoint</a> = value; }</div><div class="line"><a name="l00071"></a><span class="lineno"><a class="line" href="classeic_1_1_track_state.html#a5c007af118bfa19c9150a53347b71c93">   71</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="classeic_1_1_track_state.html#adf9411484d0a9acc55d129d66583df44">TrackState::referencePoint</a>(<span class="keywordtype">size_t</span> i, <span class="keywordtype">float</span> value) { m_obj-&gt;<a class="code" href="classeic_1_1_track_state_obj.html#a28fc1f1450a4cf1fd106d86e3b1ff540">data</a>.<a class="code" href="classeic_1_1_track_state_data.html#a1935a4a9ae2fa587d26e449925624e91">referencePoint</a>.at(i) = value; }</div><div class="line"><a name="l00072"></a><span class="lineno"><a class="line" href="classeic_1_1_track_state.html#ab8581ddf6b56bb9bea1e08d46e1b2f27">   72</a></span>&#160;std::array&lt;float, 3&gt;&amp; <a class="code" href="classeic_1_1_track_state.html#adf9411484d0a9acc55d129d66583df44">TrackState::referencePoint</a>() { <span class="keywordflow">return</span> m_obj-&gt;<a class="code" href="classeic_1_1_track_state_obj.html#a28fc1f1450a4cf1fd106d86e3b1ff540">data</a>.<a class="code" href="classeic_1_1_track_state_data.html#a1935a4a9ae2fa587d26e449925624e91">referencePoint</a>; }</div><div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;</div><div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;</div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;</div><div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;</div><div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;</div><div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;</div><div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;</div><div class="line"><a name="l00080"></a><span class="lineno"><a class="line" href="classeic_1_1_track_state.html#a0b02d5cb1760d583b6c094de6eddc977">   80</a></span>&#160;<span class="keywordtype">bool</span> <a class="code" href="classeic_1_1_track_state.html#a0b02d5cb1760d583b6c094de6eddc977">TrackState::isAvailable</a>()<span class="keyword"> const </span>{</div><div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;  <span class="keywordflow">if</span> (m_obj) {</div><div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;    <span class="keywordflow">return</span> <span class="keyword">true</span>;</div><div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;  }</div><div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;  <span class="keywordflow">return</span> <span class="keyword">false</span>;</div><div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;}</div><div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;</div><div class="line"><a name="l00087"></a><span class="lineno"><a class="line" href="classeic_1_1_track_state.html#ab6fbadc02504302dcd4311f28e6f0e69">   87</a></span>&#160;<span class="keyword">const</span> podio::ObjectID <a class="code" href="classeic_1_1_track_state.html#ab6fbadc02504302dcd4311f28e6f0e69">TrackState::getObjectID</a>()<span class="keyword"> const </span>{</div><div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;  <span class="keywordflow">if</span> (m_obj) {</div><div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;    <span class="keywordflow">return</span> m_obj-&gt;id;</div><div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;  }</div><div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;  <span class="keywordflow">return</span> podio::ObjectID{podio::ObjectID::invalid, podio::ObjectID::invalid};</div><div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;}</div><div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;</div><div class="line"><a name="l00094"></a><span class="lineno"><a class="line" href="classeic_1_1_track_state.html#a945b903a2465d1afed3e76d541646107">   94</a></span>&#160;<span class="keywordtype">bool</span> <a class="code" href="classeic_1_1_track_state.html#a74e8360dbf4931adc2c299c4573c29fd">TrackState::operator==</a>(<span class="keyword">const</span> <a class="code" href="classeic_1_1_const_track_state.html">ConstTrackState</a>&amp; other)<span class="keyword"> const </span>{</div><div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;  <span class="keywordflow">return</span> m_obj == other.m_obj;</div><div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;}</div><div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;</div><div class="line"><a name="l00098"></a><span class="lineno"><a class="line" href="namespaceeic.html#a462a99ba4ed2e73d796af60dbcd8ec22">   98</a></span>&#160;std::ostream&amp; <a class="code" href="namespaceeic.html#a207cb16b7a2df08e82d05c73c144487f">operator&lt;&lt;</a>(std::ostream&amp; o, <span class="keyword">const</span> <a class="code" href="classeic_1_1_const_track_state.html">ConstTrackState</a>&amp; value) {</div><div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;  o &lt;&lt; <span class="stringliteral">&quot; id: &quot;</span> &lt;&lt; value.<a class="code" href="classeic_1_1_const_track_state.html#af894ea690eeee089ace564799617751a">id</a>() &lt;&lt; <span class="charliteral">&#39;\n&#39;</span>;</div><div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;  o &lt;&lt; <span class="stringliteral">&quot; location : &quot;</span> &lt;&lt; value.<a class="code" href="classeic_1_1_const_track_state.html#a3b10660cf4d43d370dae9f300b015946">location</a>() &lt;&lt; <span class="charliteral">&#39;\n&#39;</span>;</div><div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;  o &lt;&lt; <span class="stringliteral">&quot; d0 : &quot;</span> &lt;&lt; value.<a class="code" href="classeic_1_1_const_track_state.html#a5d5c78b64030c0acb20d4ece66a45874">d0</a>() &lt;&lt; <span class="charliteral">&#39;\n&#39;</span>;</div><div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;  o &lt;&lt; <span class="stringliteral">&quot; phi : &quot;</span> &lt;&lt; value.<a class="code" href="classeic_1_1_const_track_state.html#a5f1642a604e7905ff1b5385bd71c5086">phi</a>() &lt;&lt; <span class="charliteral">&#39;\n&#39;</span>;</div><div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;  o &lt;&lt; <span class="stringliteral">&quot; omega : &quot;</span> &lt;&lt; value.<a class="code" href="classeic_1_1_const_track_state.html#a18f8c720e40d2484344cb65fae4f36f2">omega</a>() &lt;&lt; <span class="charliteral">&#39;\n&#39;</span>;</div><div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;  o &lt;&lt; <span class="stringliteral">&quot; z0 : &quot;</span> &lt;&lt; value.<a class="code" href="classeic_1_1_const_track_state.html#aa4b5f9cef4bc750906f8c10cc1aa53b0">z0</a>() &lt;&lt; <span class="charliteral">&#39;\n&#39;</span>;</div><div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;  o &lt;&lt; <span class="stringliteral">&quot; tanLambda : &quot;</span> &lt;&lt; value.<a class="code" href="classeic_1_1_const_track_state.html#a71d5910232111b27923f82d3443b2278">tanLambda</a>() &lt;&lt; <span class="charliteral">&#39;\n&#39;</span>;</div><div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;  o &lt;&lt; <span class="stringliteral">&quot; referencePoint : &quot;</span>;</div><div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;  <span class="keywordflow">for</span> (<span class="keywordtype">size_t</span> i = 0; i &lt; 3; ++i) {</div><div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;    o &lt;&lt; value.<a class="code" href="classeic_1_1_const_track_state.html#ab3b85bcda0690ad28b44b8898a858d7b">referencePoint</a>()[i] &lt;&lt; <span class="stringliteral">&quot;|&quot;</span>;</div><div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;  }</div><div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;  o &lt;&lt; <span class="charliteral">&#39;\n&#39;</span>;</div><div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;</div><div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;</div><div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;</div><div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;  <span class="keywordflow">return</span> o;</div><div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;}</div><div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160;</div><div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160;} <span class="comment">// namespace eic</span></div><div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160;</div><div class="ttc" id="classeic_1_1_const_track_state_html_ab3b85bcda0690ad28b44b8898a858d7b"><div class="ttname"><a href="classeic_1_1_const_track_state.html#ab3b85bcda0690ad28b44b8898a858d7b">eic::ConstTrackState::referencePoint</a></div><div class="ttdeci">const std::array&lt; float, 3 &gt; &amp; referencePoint() const</div><div class="ttdoc">Access the Reference point of the track parameters. </div><div class="ttdef"><b>Definition:</b> <a href="_track_state_const_8cc_source.html#l00058">TrackStateConst.cc:58</a></div></div>
<div class="ttc" id="classeic_1_1_track_state_html_ac9581fe51d3584111722093ace8aeca8"><div class="ttname"><a href="classeic_1_1_track_state.html#ac9581fe51d3584111722093ace8aeca8">eic::TrackState::TrackState</a></div><div class="ttdeci">TrackState()</div><div class="ttdoc">default constructor </div><div class="ttdef"><b>Definition:</b> <a href="_track_state_8cc_source.html#l00016">TrackState.cc:16</a></div></div>
<div class="ttc" id="classeic_1_1_track_state_data_html_a1fc4f68304748e87167b6e54a60a0eb2"><div class="ttname"><a href="classeic_1_1_track_state_data.html#a1fc4f68304748e87167b6e54a60a0eb2">eic::TrackStateData::phi</a></div><div class="ttdeci">float phi</div><div class="ttdoc">Phi of the track at the reference point. </div><div class="ttdef"><b>Definition:</b> <a href="_track_state_data_8h_source.html#l00019">TrackStateData.h:19</a></div></div>
<div class="ttc" id="classeic_1_1_track_state_obj_html_a28fc1f1450a4cf1fd106d86e3b1ff540"><div class="ttname"><a href="classeic_1_1_track_state_obj.html#a28fc1f1450a4cf1fd106d86e3b1ff540">eic::TrackStateObj::data</a></div><div class="ttdeci">TrackStateData data</div><div class="ttdef"><b>Definition:</b> <a href="_track_state_obj_8h_source.html#l00030">TrackStateObj.h:30</a></div></div>
<div class="ttc" id="classeic_1_1_track_state_html_a74e8360dbf4931adc2c299c4573c29fd"><div class="ttname"><a href="classeic_1_1_track_state.html#a74e8360dbf4931adc2c299c4573c29fd">eic::TrackState::operator==</a></div><div class="ttdeci">bool operator==(const TrackState &amp;other) const</div><div class="ttdef"><b>Definition:</b> <a href="_track_state_8h_source.html#l00116">TrackState.h:116</a></div></div>
<div class="ttc" id="classeic_1_1_track_state_html_a0b02d5cb1760d583b6c094de6eddc977"><div class="ttname"><a href="classeic_1_1_track_state.html#a0b02d5cb1760d583b6c094de6eddc977">eic::TrackState::isAvailable</a></div><div class="ttdeci">bool isAvailable() const</div><div class="ttdoc">check whether the object is actually available </div><div class="ttdef"><b>Definition:</b> <a href="_track_state_8cc_source.html#l00080">TrackState.cc:80</a></div></div>
<div class="ttc" id="classeic_1_1_track_state_html_a4ff86c39fee562a817d51787bc33476d"><div class="ttname"><a href="classeic_1_1_track_state.html#a4ff86c39fee562a817d51787bc33476d">eic::TrackState::location</a></div><div class="ttdeci">const int &amp; location() const</div><div class="ttdoc">Access the The location of the track state. </div><div class="ttdef"><b>Definition:</b> <a href="_track_state_8cc_source.html#l00054">TrackState.cc:54</a></div></div>
<div class="ttc" id="classeic_1_1_track_state_html_adf9411484d0a9acc55d129d66583df44"><div class="ttname"><a href="classeic_1_1_track_state.html#adf9411484d0a9acc55d129d66583df44">eic::TrackState::referencePoint</a></div><div class="ttdeci">const std::array&lt; float, 3 &gt; &amp; referencePoint() const</div><div class="ttdoc">Access the Reference point of the track parameters. </div><div class="ttdef"><b>Definition:</b> <a href="_track_state_8cc_source.html#l00060">TrackState.cc:60</a></div></div>
<div class="ttc" id="classeic_1_1_track_state_data_html_ab6188d17e65916c7f01bb56648f863cf"><div class="ttname"><a href="classeic_1_1_track_state_data.html#ab6188d17e65916c7f01bb56648f863cf">eic::TrackStateData::d0</a></div><div class="ttdeci">float d0</div><div class="ttdoc">Impact parameter of the track in (r-phi). </div><div class="ttdef"><b>Definition:</b> <a href="_track_state_data_8h_source.html#l00018">TrackStateData.h:18</a></div></div>
<div class="ttc" id="_track_state_data_8h_html"><div class="ttname"><a href="_track_state_data_8h.html">TrackStateData.h</a></div></div>
<div class="ttc" id="classeic_1_1_const_track_state_html_a18f8c720e40d2484344cb65fae4f36f2"><div class="ttname"><a href="classeic_1_1_const_track_state.html#a18f8c720e40d2484344cb65fae4f36f2">eic::ConstTrackState::omega</a></div><div class="ttdeci">const float &amp; omega() const</div><div class="ttdoc">Access the Omega is the signed curvature of the track in [1/mm]. </div><div class="ttdef"><b>Definition:</b> <a href="_track_state_const_8cc_source.html#l00055">TrackStateConst.cc:55</a></div></div>
<div class="ttc" id="classeic_1_1_const_track_state_html_aa4b5f9cef4bc750906f8c10cc1aa53b0"><div class="ttname"><a href="classeic_1_1_const_track_state.html#aa4b5f9cef4bc750906f8c10cc1aa53b0">eic::ConstTrackState::z0</a></div><div class="ttdeci">const float &amp; z0() const</div><div class="ttdoc">Access the Impact parameter of the track in (r-z). </div><div class="ttdef"><b>Definition:</b> <a href="_track_state_const_8cc_source.html#l00056">TrackStateConst.cc:56</a></div></div>
<div class="ttc" id="_track_state_obj_8h_html"><div class="ttname"><a href="_track_state_obj_8h.html">TrackStateObj.h</a></div></div>
<div class="ttc" id="classeic_1_1_const_track_state_html_a5f1642a604e7905ff1b5385bd71c5086"><div class="ttname"><a href="classeic_1_1_const_track_state.html#a5f1642a604e7905ff1b5385bd71c5086">eic::ConstTrackState::phi</a></div><div class="ttdeci">const float &amp; phi() const</div><div class="ttdoc">Access the Phi of the track at the reference point. </div><div class="ttdef"><b>Definition:</b> <a href="_track_state_const_8cc_source.html#l00054">TrackStateConst.cc:54</a></div></div>
<div class="ttc" id="classeic_1_1_track_state_html_a4a2311194941e316ee35d0b44e626a4e"><div class="ttname"><a href="classeic_1_1_track_state.html#a4a2311194941e316ee35d0b44e626a4e">eic::TrackState::omega</a></div><div class="ttdeci">const float &amp; omega() const</div><div class="ttdoc">Access the Omega is the signed curvature of the track in [1/mm]. </div><div class="ttdef"><b>Definition:</b> <a href="_track_state_8cc_source.html#l00057">TrackState.cc:57</a></div></div>
<div class="ttc" id="classeic_1_1_track_state_html"><div class="ttname"><a href="classeic_1_1_track_state.html">eic::TrackState</a></div><div class="ttdef"><b>Definition:</b> <a href="_track_state_8h_source.html#l00026">TrackState.h:26</a></div></div>
<div class="ttc" id="classeic_1_1_track_state_data_html_a2044a34486e38724b5a95e6edb472967"><div class="ttname"><a href="classeic_1_1_track_state_data.html#a2044a34486e38724b5a95e6edb472967">eic::TrackStateData::location</a></div><div class="ttdeci">int location</div><div class="ttdoc">The location of the track state. </div><div class="ttdef"><b>Definition:</b> <a href="_track_state_data_8h_source.html#l00017">TrackStateData.h:17</a></div></div>
<div class="ttc" id="namespaceeic_html_a207cb16b7a2df08e82d05c73c144487f"><div class="ttname"><a href="namespaceeic.html#a207cb16b7a2df08e82d05c73c144487f">eic::operator&lt;&lt;</a></div><div class="ttdeci">std::ostream &amp; operator&lt;&lt;(std::ostream &amp;o, const ConstCalorimeterHit &amp;value)</div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_8cc_source.html#l00112">CalorimeterHit.cc:112</a></div></div>
<div class="ttc" id="classeic_1_1_track_state_data_html_a1935a4a9ae2fa587d26e449925624e91"><div class="ttname"><a href="classeic_1_1_track_state_data.html#a1935a4a9ae2fa587d26e449925624e91">eic::TrackStateData::referencePoint</a></div><div class="ttdeci">std::array&lt; float, 3 &gt; referencePoint</div><div class="ttdoc">Reference point of the track parameters. </div><div class="ttdef"><b>Definition:</b> <a href="_track_state_data_8h_source.html#l00023">TrackStateData.h:23</a></div></div>
<div class="ttc" id="classeic_1_1_track_state_html_ab6fbadc02504302dcd4311f28e6f0e69"><div class="ttname"><a href="classeic_1_1_track_state.html#ab6fbadc02504302dcd4311f28e6f0e69">eic::TrackState::getObjectID</a></div><div class="ttdeci">const podio::ObjectID getObjectID() const</div><div class="ttdef"><b>Definition:</b> <a href="_track_state_8cc_source.html#l00087">TrackState.cc:87</a></div></div>
<div class="ttc" id="classeic_1_1_const_track_state_html_a3b10660cf4d43d370dae9f300b015946"><div class="ttname"><a href="classeic_1_1_const_track_state.html#a3b10660cf4d43d370dae9f300b015946">eic::ConstTrackState::location</a></div><div class="ttdeci">const int &amp; location() const</div><div class="ttdoc">Access the The location of the track state. </div><div class="ttdef"><b>Definition:</b> <a href="_track_state_const_8cc_source.html#l00052">TrackStateConst.cc:52</a></div></div>
<div class="ttc" id="classeic_1_1_const_track_state_html_af894ea690eeee089ace564799617751a"><div class="ttname"><a href="classeic_1_1_const_track_state.html#af894ea690eeee089ace564799617751a">eic::ConstTrackState::id</a></div><div class="ttdeci">unsigned int id() const</div><div class="ttdef"><b>Definition:</b> <a href="_track_state_const_8h_source.html#l00090">TrackStateConst.h:90</a></div></div>
<div class="ttc" id="classeic_1_1_track_state_html_ad610068523aea291bddbecffa78e2e66"><div class="ttname"><a href="classeic_1_1_track_state.html#ad610068523aea291bddbecffa78e2e66">eic::TrackState::tanLambda</a></div><div class="ttdeci">const float &amp; tanLambda() const</div><div class="ttdoc">Access the Lambda is the dip angle of the track in r-z at the reference point. </div><div class="ttdef"><b>Definition:</b> <a href="_track_state_8cc_source.html#l00059">TrackState.cc:59</a></div></div>
<div class="ttc" id="namespaceeic_html"><div class="ttname"><a href="namespaceeic.html">eic</a></div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_8cc_source.html#l00014">CalorimeterHit.cc:14</a></div></div>
<div class="ttc" id="classeic_1_1_track_state_html_a8c3a4fb0b56f4c00ee401373fa5c23b0"><div class="ttname"><a href="classeic_1_1_track_state.html#a8c3a4fb0b56f4c00ee401373fa5c23b0">eic::TrackState::d0</a></div><div class="ttdeci">const float &amp; d0() const</div><div class="ttdoc">Access the Impact parameter of the track in (r-phi). </div><div class="ttdef"><b>Definition:</b> <a href="_track_state_8cc_source.html#l00055">TrackState.cc:55</a></div></div>
<div class="ttc" id="classeic_1_1_const_track_state_html"><div class="ttname"><a href="classeic_1_1_const_track_state.html">eic::ConstTrackState</a></div><div class="ttdef"><b>Definition:</b> <a href="_track_state_const_8h_source.html#l00024">TrackStateConst.h:24</a></div></div>
<div class="ttc" id="classeic_1_1_track_state_html_aad57c3208b5c7de36b78a35dbaa6312f"><div class="ttname"><a href="classeic_1_1_track_state.html#aad57c3208b5c7de36b78a35dbaa6312f">eic::TrackState::z0</a></div><div class="ttdeci">const float &amp; z0() const</div><div class="ttdoc">Access the Impact parameter of the track in (r-z). </div><div class="ttdef"><b>Definition:</b> <a href="_track_state_8cc_source.html#l00058">TrackState.cc:58</a></div></div>
<div class="ttc" id="classeic_1_1_track_state_data_html_a03739d2c99c5c5aa2c52f70fe40485c2"><div class="ttname"><a href="classeic_1_1_track_state_data.html#a03739d2c99c5c5aa2c52f70fe40485c2">eic::TrackStateData::tanLambda</a></div><div class="ttdeci">float tanLambda</div><div class="ttdoc">Lambda is the dip angle of the track in r-z at the reference point. </div><div class="ttdef"><b>Definition:</b> <a href="_track_state_data_8h_source.html#l00022">TrackStateData.h:22</a></div></div>
<div class="ttc" id="classeic_1_1_track_state_html_a54a8958d63d07422cce74a09441840c2"><div class="ttname"><a href="classeic_1_1_track_state.html#a54a8958d63d07422cce74a09441840c2">eic::TrackState::operator=</a></div><div class="ttdeci">TrackState &amp; operator=(const TrackState &amp;other)</div><div class="ttdoc">copy-assignment operator </div><div class="ttdef"><b>Definition:</b> <a href="_track_state_8cc_source.html#l00035">TrackState.cc:35</a></div></div>
<div class="ttc" id="classeic_1_1_const_track_state_html_a5d5c78b64030c0acb20d4ece66a45874"><div class="ttname"><a href="classeic_1_1_const_track_state.html#a5d5c78b64030c0acb20d4ece66a45874">eic::ConstTrackState::d0</a></div><div class="ttdeci">const float &amp; d0() const</div><div class="ttdoc">Access the Impact parameter of the track in (r-phi). </div><div class="ttdef"><b>Definition:</b> <a href="_track_state_const_8cc_source.html#l00053">TrackStateConst.cc:53</a></div></div>
<div class="ttc" id="_track_state_8h_html"><div class="ttname"><a href="_track_state_8h.html">TrackState.h</a></div></div>
<div class="ttc" id="classeic_1_1_track_state_obj_html"><div class="ttname"><a href="classeic_1_1_track_state_obj.html">eic::TrackStateObj</a></div><div class="ttdef"><b>Definition:</b> <a href="_track_state_obj_8h_source.html#l00018">TrackStateObj.h:18</a></div></div>
<div class="ttc" id="classeic_1_1_const_track_state_html_a71d5910232111b27923f82d3443b2278"><div class="ttname"><a href="classeic_1_1_const_track_state.html#a71d5910232111b27923f82d3443b2278">eic::ConstTrackState::tanLambda</a></div><div class="ttdeci">const float &amp; tanLambda() const</div><div class="ttdoc">Access the Lambda is the dip angle of the track in r-z at the reference point. </div><div class="ttdef"><b>Definition:</b> <a href="_track_state_const_8cc_source.html#l00057">TrackStateConst.cc:57</a></div></div>
<div class="ttc" id="classeic_1_1_track_state_html_a5063f4f3ed0e8e087d7d9a3880d4fe18"><div class="ttname"><a href="classeic_1_1_track_state.html#a5063f4f3ed0e8e087d7d9a3880d4fe18">eic::TrackState::~TrackState</a></div><div class="ttdeci">~TrackState()</div><div class="ttdoc">destructor </div><div class="ttdef"><b>Definition:</b> <a href="_track_state_8cc_source.html#l00049">TrackState.cc:49</a></div></div>
<div class="ttc" id="classeic_1_1_track_state_html_a9b47d98f550c7ecbc6501896bf684ea4"><div class="ttname"><a href="classeic_1_1_track_state.html#a9b47d98f550c7ecbc6501896bf684ea4">eic::TrackState::phi</a></div><div class="ttdeci">const float &amp; phi() const</div><div class="ttdoc">Access the Phi of the track at the reference point. </div><div class="ttdef"><b>Definition:</b> <a href="_track_state_8cc_source.html#l00056">TrackState.cc:56</a></div></div>
<div class="ttc" id="classeic_1_1_track_state_data_html_a6a2de5a63e5aa2f0d5d60f2182271f39"><div class="ttname"><a href="classeic_1_1_track_state_data.html#a6a2de5a63e5aa2f0d5d60f2182271f39">eic::TrackStateData::omega</a></div><div class="ttdeci">float omega</div><div class="ttdoc">Omega is the signed curvature of the track in [1/mm]. </div><div class="ttdef"><b>Definition:</b> <a href="_track_state_data_8h_source.html#l00020">TrackStateData.h:20</a></div></div>
<div class="ttc" id="_track_state_const_8h_html"><div class="ttname"><a href="_track_state_const_8h.html">TrackStateConst.h</a></div></div>
<div class="ttc" id="_track_state_collection_8h_html"><div class="ttname"><a href="_track_state_collection_8h.html">TrackStateCollection.h</a></div></div>
<div class="ttc" id="classeic_1_1_track_state_html_a41f8551da1d5b5b369a8c19ea9c6550f"><div class="ttname"><a href="classeic_1_1_track_state.html#a41f8551da1d5b5b369a8c19ea9c6550f">eic::TrackState::clone</a></div><div class="ttdeci">TrackState clone() const</div><div class="ttdoc">support cloning (deep-copy) </div><div class="ttdef"><b>Definition:</b> <a href="_track_state_8cc_source.html#l00045">TrackState.cc:45</a></div></div>
<div class="ttc" id="classeic_1_1_track_state_data_html_a31d6fae15509d30728ae39f637bac0ee"><div class="ttname"><a href="classeic_1_1_track_state_data.html#a31d6fae15509d30728ae39f637bac0ee">eic::TrackStateData::z0</a></div><div class="ttdeci">float z0</div><div class="ttdoc">Impact parameter of the track in (r-z). </div><div class="ttdef"><b>Definition:</b> <a href="_track_state_data_8h_source.html#l00021">TrackStateData.h:21</a></div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
